% Compute the deck corners from position and attitude. Both the real deck 
% corners (column 1) and the video measurement deck corner are computed
% (column 2). 

% The video measurements are interpolated to match the motion
% platform timesteps.

clear
load('../motion_platform_measurements/platform_pos_attitude.mat')
real_time = position(:, 1);
save('platform_time.mat', 'real_time')
disp('Output written to: platform_time.mat');

load('../video_measurements/regular_tracking.mat')
[heave_aft_port_normal heave_aft_starboard_normal heave_front_starboard_normal heave_front_port_normal] = ...
    compute_cargo_deck_corners(roll_pitch_yaw, position, time, pos, ang);

save('corners_regular.mat', 'heave_aft_port_normal', 'heave_aft_starboard_normal', 'heave_front_starboard_normal', 'heave_front_port_normal')
disp('Output written to: corners_regular.mat');

load('../video_measurements/subpixel_tracking_3x.mat')
[heave_aft_port_subpixel heave_aft_starboard_subpixel heave_front_starboard_subpixel heave_front_port_subpixel] = ...
    compute_cargo_deck_corners(roll_pitch_yaw, position, time, pos, ang);

save('corners_subpixel.mat', 'heave_aft_port_subpixel', 'heave_aft_starboard_subpixel', 'heave_front_starboard_subpixel', 'heave_front_port_subpixel')
disp('Output written to: corners_subpixel.mat');
