function F = geofun(alpha)
global d r a_1 a_2 a_3

c_alpha_1 = cos(alpha(1));
c_alpha_2 = cos(alpha(2));
c_alpha_3 = cos(alpha(3));

s_alpha_1 = sin(alpha(1));
s_alpha_2 = sin(alpha(2));
s_alpha_3 = sin(alpha(3));

f_1 =   c_alpha_1 * (3 * r * a_1) ...
        + c_alpha_2 * (3 * r * a_2) ...
        + c_alpha_1 * c_alpha_2 * (a_1 * a_2) ...
        + s_alpha_1 * s_alpha_2 * (-2 * a_1 * a_2) ...
        + 3 * r^2 + a_1^2 + a_2^2 - d^2;
     
f_2 =   c_alpha_1 * (3 * r * a_1) ...
        + c_alpha_3 * (3 * r * a_3) ...
        + c_alpha_1 * c_alpha_3 * (a_1 * a_3) ...
        + s_alpha_1 * s_alpha_3 * (-2 * a_1 * a_3) ...
        + 3 * r^2 + a_1^2 + a_3^2 - d^2;
        
f_3 =   c_alpha_2 * (3 * r * a_2) ...
        + c_alpha_3 * (3 * r * a_3) ...
        + c_alpha_2 * c_alpha_3 * (a_2 * a_3) ...
        + s_alpha_2 * s_alpha_3 * (-2 * a_2 * a_3)...
        + 3 * r^2 + a_2^2 + a_3^2 - d^2;

F = [f_1; f_2; f_3];