clear
load('cargo_deck_corners_comparison/corners_regular.mat')
load('cargo_deck_corners_comparison/platform_time.mat')
heave_aft_port_real = heave_aft_port_normal(:,1);


x = [0:0.1:10];

input = heave_aft_port_real;
upper = zeros(length(input), 1);
lower = zeros(length(input), 1);

upper_current = 0;
lower_current = 0;
for i=2:length(input) - 1

    if input(i) > upper_current
        upper_current = input(i);
    else
        upper_current = upper_current + (input(i) - upper_current) * 0.001;
    end
    upper(i) = upper_current;
    
    if input(i) < lower_current
        lower_current = input(i);
    else
        lower_current = lower_current  + (input(i) - lower_current ) * 0.001;
    end
    lower(i) = lower_current;
end

figure('Position', [855 400 400 310])
subplot(2, 1, 1);
hold on
plot(real_time(1:length(input)), input, 'k')
plot(real_time(1:length(upper)), upper, 'r', 'LineWidth', 2)
plot(real_time(1:length(lower)), lower, 'b', 'LineWidth', 2)
axis([130 230 -0.05 0.05])
ylabel('heave [m]');
xlabel('time [s]');

subplot(2, 1, 2);
plot(real_time(1:length(upper)), upper - lower, 'k', 'LineWidth', 2)
axis([130 230 0 0.1])
ylabel('estimated peak-to-peak [m]');
xlabel('time [s]');

%set(gcf, 'PaperPositionMode', 'Auto') 
%print -painters -depsc -r300 ../../thesis/figures/peak-to-peak-estimation.eps
%system('epstopdf ../../thesis/figures/peak-to-peak-estimation.eps')
