% Plot figure 9.4
clear

time_min = 100;
time_max = 200;

video_start = 30;

scale = 30;

figure('Position', [855 400 500 500])

load('motion_platform_measurements/platform_pos_attitude.mat');

load('video_measurements/regular_tracking.mat');

real = roll_pitch_yaw;
measured = [(time - video_start) ang * 180 / pi];

first_time = measured(1,1);
last_time = measured(length(measured),1);
delta_time = (last_time - first_time) / length(measured);
start_idx = (time_min - first_time) / delta_time;
end_idx = (time_max - first_time) / delta_time;

if start_idx < 1
    start_idx = 1
end
if end_idx > length(measured)
    end_idx = length(measured)
end

subp = subplot(3, 1, 1);
hold on
idx = 2;
plot(measured(:,1), measured(:,idx), 'k')
plot(real(:,1), real(:,idx), 'r')
xlabel('time [s]');
ylabel('angle [deg]');
mean_val = mean([measured(:, idx); real(:, idx)]);
axis([time_min time_max -12 12])
title('Roll - regular tracking');

load('./video_measurements/subpixel_tracking_3x.mat');

real = roll_pitch_yaw;
measured = [(time - video_start) ang * 180 / pi];

subp = subplot(3, 1, 2);
hold on
idx = 2;
plot(measured(:,1), measured(:,idx), 'k');
plot(real(:,1), real(:,idx), 'r');
xlabel('time [s]');
ylabel('angle [deg]');
mean_val = mean([measured(:, idx); real(:, idx)]);
axis([time_min time_max -12 12]);
title('Roll - 1/3 sub-pixel tracking');

load('video_measurements/subpixel_tracking_6x.mat');

real = roll_pitch_yaw;
measured = [(time - video_start) ang * 180 / pi];

subp = subplot(3, 1, 3);
hold on
idx = 2;
plot(measured(:,1), measured(:,idx), 'k');
plot(real(:,1), real(:,idx), 'r');
xlabel('time [s]');
ylabel('angle [deg]');
mean_val = mean([measured(:, idx); real(:, idx)]);
axis([time_min time_max -12 12]);
title('Roll - 1/6 sub-pixel tracking');

%set(gcf, 'PaperPositionMode', 'Auto');
%print -painters -depsc -r300 ../../thesis/figures/subpixel_roll.eps
%system('epstopdf ../../thesis/figures/subpixel_roll.eps');