% Plot figure 9.3

clear
load('video_measurements/regular_tracking.mat')
load('motion_platform_measurements/platform_pos_attitude.mat')

time_min = 250;
time_max = 320;

video_start = 30;
real = roll_pitch_yaw;
measured = [(time - video_start) ang * 180 / pi];

first_time = measured(1,1);
last_time = measured(length(measured),1);
delta_time = (last_time - first_time) / length(measured);
start_idx = (time_min - first_time) / delta_time;
end_idx = (time_max - first_time) / delta_time;

if start_idx < 1
    start_idx = 1;
end
if end_idx > length(measured)
    end_idx = length(measured);
end

figure('Position', [855 400 550 400])

subp = subplot(2, 1, 1);
set(subp,'Position',[0.1 0.5 .8 .4]);
hold on

idx = 2;
measured_clip = measured(start_idx:end_idx, :);
real_clip = real(start_idx:end_idx, :);
scale = max([measured_clip(:,idx ); real_clip(:,idx )]) - min([measured_clip(:,idx ); real_clip(:,idx )]);

plot(measured(:,1), measured(:,idx), 'k');
plot(real(:,1), real(:,idx), 'r');
xlabel('time [s]');
ylabel('angle [deg]');
title('Roll');
leg = legend('Measured', 'Real');
mean_val = mean([measured_clip(:, idx); real_clip(:, idx)]);
axis([time_min time_max mean_val - scale / 2 mean_val + scale / 2]);

subp = subplot(2, 1, 2);
set(subp,'Position',[0.1 0.1 .8 .2]);
plot(time - video_start, num_points);
set(subp, 'TickDir', 'out', 'YTick', 1:2:10);
xlabel('time [s]');
ylabel('points [1]');
title('Tracked 3D points');
mean_val = mean([measured_clip(:, idx); real_clip(:, idx)]);
axis([time_min time_max 0 10]);


%set(gcf, 'PaperPositionMode', 'Auto') 
%print -painters -depsc -r300 ../../thesis/figures/tracking_points_loss_roll.eps
%system('epstopdf ../../thesis/figures/tracking_points_loss_roll.eps')
