#ifndef CALIBRATIONDIALOG_H
#define CALIBRATIONDIALOG_H

#include <QtGui/QDialog>
#include <QList>

struct CalibrationPoint {
    double x;
    double y;
    double z;
    double u;
    double v;
};

namespace Ui {
    class CalibrationDialog;
}

class CalibrationDialog : public QDialog {
    Q_OBJECT
public:
    CalibrationDialog(QWidget *parent = 0);
    QList<CalibrationPoint> * getCalibrationPoints();
    ~CalibrationDialog();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::CalibrationDialog *m_ui;
    QList<CalibrationPoint> points;
    void setCalibrationPoint(int, CalibrationPoint);

private slots:
    void on_buttonBox_accepted();
public slots:
    void pointSelected(QPoint);
};

#endif // CALIBRATIONDIALOG_H
