#ifndef CAMERACONTROLS_H
#define CAMERACONTROLS_H

#include <QWidget>
#include <QListWidget>


class CalibrationDialog;
class Camera;
class HoughSVG;

namespace Ui {
    class CameraControls;
}

class CameraControls : public QWidget {
    Q_OBJECT

public:
    CameraControls(Camera * camera);
    Camera * getParent();
    ~CameraControls();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::CameraControls *ui;
    CalibrationDialog * calibrationDialog;
    Camera * camera;
    HoughSVG * houghSVG;


private slots:
    void on_loadCamMatrix_clicked();
    void on_removeButton_clicked();
    void on_showLines_toggled(bool checked);
    void on_saveFilteredFrameButton_clicked();
    void on_saveFrameButton_clicked();
    void on_houghWorldSvgButton_clicked();
    void on_houghSvgButton_clicked();
    void on_setCheckImage_toggled(bool checked);
    void on_listWidget_clicked(QModelIndex index);
    void updateTrackerList();
    void updateVideoInfo();

signals:
    void removeCamera();
};

#endif // CAMERACONTROLS_H
