#ifndef EXPORT_H
#define EXPORT_H

#include <QString>
#include <QVector>
#include <QVector3D>


class Export
{
public:
    Export();
    void clear();
    void addData(float newTime, QVector3D pos, QVector3D ang, int stateId, int newNumTrackingPoints);
    void writeToMat(QString fileName);
    int getNumDataPoints();
    int getDataSize();

private:
    int num;
    QString baseDirectory;
    QVector <float> time;
    QVector <QVector3D> position;
    QVector <QVector3D> angle;
    QVector <int> state;
    QVector <int> numTrackingPoints;


};

#endif // EXPORT_H
