#include "framewriter.h"
#include <QImage>
#include <QColor>
#include <QDebug>
#include <QFileInfo>
#include <QDir>

FrameWriter::FrameWriter()
{
    frameNo = 0;
}
void FrameWriter::setBaseName(QString baseName)
{
    if (!QFileInfo(baseName).exists()) {
        QDir dir;
        dir.mkdir(baseName);
    }
    this->baseName = baseName;
}

void FrameWriter::writeFrame(IplImage * frame)
{
    QString num;
    num.setNum(frameNo);
    num = num.rightJustified ( 6, QLatin1Char('0'));

    if (frame->nChannels == 3) {
        qDebug() << "Not support for 3 channel image in FrameWriter";
    }
    QImage image((uchar *) frame->imageData, frame->width, frame->height, QImage::Format_Indexed8);
    QVector <QRgb> table;
    for(int i = 0; i < 256; i++) {
        table.append(qRgb(i, i, i));
    }
    image.setColorTable(table);

    image.save(baseName + num + QString(".jpg"), "jpg");
    frameNo++;
}

