#ifndef HOUGHSVG_H
#define HOUGHSVG_H

#include <QWidget>
#include <QLine>
#include <QRect>
#include <QVector2D>
#include <cv.h>

struct Line;

class HoughSVG : public QWidget
{
Q_OBJECT
public:
    explicit HoughSVG(QWidget *parent = 0);
    void paint(QPainter &painter);
    void paintWorld(QPainter &painter);
    void saveSvg(QString filename, QSize videoSize);
    void saveWorldSvg(QString filename, QSize videoSize);
    void setLines(CvMat * lines, Line * worldLines, int num);
    void compute();
    void showOriginal();
    void showWorld();

signals:

public slots:

protected:
     void paintEvent(QPaintEvent *event);

private:
     CvMat * lines;
     Line * worldLines;
     int num;
     bool inited;
     bool showWorldSet;
     QLineF clipLineAgainstRect(QPointF p, QVector2D dir, QRectF window, bool debug);

};

#endif // HOUGHSVG_H
