#include <cv.h>
#include <highgui.h>

#include "image.h"


Image::Image(QString filename)
{
    this->filename = filename;
    frame = NULL;
}

Image::~Image()
{
    if (frame != NULL) {
        close();
    }
}

bool Image::init()
{
    frameImage = cvLoadImage(filename.toAscii().data());
    if (frameImage != NULL) {
        frame = cvCreateImage(cvSize(frameImage->width, frameImage->height), IPL_DEPTH_8U, 3);
        return true;
    }

    return false;
}

void Image::close()
{
    cvReleaseImage(&frame);
    cvReleaseImage(&frameImage);
    frame = NULL;
}


bool Image::captureFrame()
{
    if (frame != NULL) {
        cvSet(frame, cvScalar(255, 255, 0));
        cvCopy(frameImage, frame);
        return true;
    }

    return false;
}

IplImage * Image::getFrame(){
    return frameImage;
}

QSize Image::getVideoSize()
{
    return QSize(frame->width, frame->height);
}
