#include "parameters.h"
#include "ui_parameters.h"

#include "camera.h"
#include "imageprocessing.h"

Parameters::Parameters(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::Parameters)
{
    ui->setupUi(this);
    connect(ui->maxAccel, SIGNAL(valueChanged(int)), this, SLOT(trackingParamChanged()));
    connect(ui->minCorrMatch, SIGNAL(valueChanged(double)), this, SLOT(trackingParamChanged()));
}

Parameters::~Parameters()
{
    delete ui;
}

void Parameters::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

void Parameters::trackingParamChanged()
{
    for(int i = 0; i < cameras.size(); i++) {
        cameras.at(i)->getImageProcessing()->setTrackingParams(ui->maxAccel->value(), ui->minCorrMatch->value());
    }
}

void Parameters::setCameras(QVector <Camera *> cameras)
{
    this->cameras = cameras;
}

void Parameters::on_houghThresholdSlider_valueChanged(int value)
{
    ui->houghThreshold->setText(QString::number(value));
}

void Parameters::on_cannyParam1Slider_valueChanged(int value)
{
    ui->cannyParam1->setText(QString::number(value));
}

void Parameters::on_cannyParam2Slider_valueChanged(int value)
{
    ui->cannyParam2->setText(QString::number(value));
}
