#ifndef SOURCESELECTOR_H
#define SOURCESELECTOR_H

#include <QDialog>
#include <QGraphicsScene>
#include <QTimer>


class VideoFrame;
#include "videosource.h"


namespace Ui {
    class SourceSelector;
}

class SourceSelector : public QDialog {
    Q_OBJECT
public:
    SourceSelector(QWidget *parent = 0);
    ~SourceSelector();
    void stopVideo();
    VideoSourceType getVideoSourceType();
    QString getVideoSourceId();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::SourceSelector *ui;
    VideoFrame * videoFrame;
    QGraphicsScene graphicsScene;
    QTimer timer;
    VideoSource * videoSource;
    void scaleView(QRect itemSize, QGraphicsView * view);
    void resizeEvent(QResizeEvent * event);
    void startVideo(VideoSourceType videoSourceType, QString id);
    VideoSourceType videoSourceType;
    QString videoSourceId;
    bool videoRunning;
    void closeEvent ( QCloseEvent * event );


private slots:
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();
    void on_openCVButton_clicked();
    void on_videoFileButton_clicked();
    void updateFrame();
};

#endif // SOURCESELECTOR_H
