#ifndef SYS1394_H
#define SYS1394_H

#include <QVector>
#include <dc1394.h>
#include <cv.h>
#include "video1394.h"

class Video1394;

class Sys1394
{
public:
    Sys1394();
    ~Sys1394();
    bool init();
    Video1394 * openCamera(uint64_t id);
    QVector <Video1394 *> cameras;

private:
    bool inited;
    bool firstCamera;
    int id;
    dc1394_t * d;
    dc1394camera_list_t * list;
    dc1394error_t err;
    dc1394framerate_t framerate;
    dc1394video_mode_t video_mode;
    dc1394color_coding_t coding;
};

#endif // SYS1394_H
