#ifndef TRACKER_H
#define TRACKER_H

#include <cv.h>
#include <QRect>
#include <QTime>
class ImageProcessing;

enum TrackerType {TEMPLATE};

class Tracker
{
public:
    Tracker(unsigned int, unsigned int, ImageProcessing *);
    ~Tracker();
    void setFrame(IplImage *);
    QRect getRoi();
    QPointF track();
    QPointF getPos();
    QPointF getPrevPos();
    void setTargetRect(QRect);
    QRect getTemplateRect();
    QTime getStartTime();

    IplImage * getRoiImage();
    IplImage * getFilteredRoiImage();
    IplImage * getTemplate();
    QPointF getAcceleration();
    float getMatch();
    int getSuccessiveTries();
    void incrSuccessiveTries();


private:

    int successiveTries;
    IplImage * frame;
    IplImage * filteredRoiImage;

    IplImage * roiImage;
    IplImage * roiImageSub;

    IplImage * templ;
    IplImage * templSub;

    IplImage * corrResult;
    IplImage * corrResultSub;

    QRect roi;
    QPointF pos;
    QPointF prevPos;    
    QPointF velo;
    QPointF prevVelo;
    QPointF accel;

    QRect templRect;
    bool firstPos;

    int subPixelScale;
    QTime startTime;

    float match;
    void correctRoiPos();
};

#endif // TRACKER_H
