#ifndef UTIL_H
#define UTIL_H

#include <QLine>
#include <QPointF>
#include <QVector2D>
#include <QVector3D>
#include <QRect>

#include <cv.h>

namespace Util
{
    void setXRotation(float angle, CvMat * rot);
    void setYRotation(float angle, CvMat * rot);
    void setZRotation(float angle, CvMat * rot);
    QPointF lineIntersection(QPointF p1, QVector2D v1, QPointF p2, QVector2D v2);
    QPointF mapToXY(QPointF pixel, CvMat * C);
    QVector3D rotateVector(QVector3D qVec, CvMat * rot);
    QLine clipLineAgainstRect(QPoint p, QVector2D dir, QRect window);
    QLine clipLineAgainstRect(QPoint p, QVector2D dir, QRect window, bool debug);

}
#endif // UTIL_H
