#ifndef VIDEO1394_H
#define VIDEO1394_H


#ifdef Q_OS_LINUX
#include <dc1394.h>
#endif

#include <cv.h>
#include "videosource.h"

class Video1394 : public VideoSource
{
public:
    Video1394(QString);
    ~Video1394();
    bool init();
    bool captureFrame();
    IplImage * getFrame();
    void close();
    QSize getVideoSize();
    bool set1394Camera(dc1394camera_t *);
    QString getGUID();
    void setRotated();

private:
    dc1394error_t err;
    dc1394camera_t * camera;
    dc1394video_frame_t * frame;
    IplImage * cvFrame;
    IplImage * frameRotated;
    bool rotateFrame;



};


#endif // VIDEO1394_H
