#include <QDebug>
#include <QColor>
#include <QPixmap>

#include "videocamera.h"
#include <stdio.h>
#include <highgui.h>

VideoCamera::VideoCamera(QString identifier) : VideoSource()
{
    this->id = identifier.toInt();
    frame = NULL;
    image = NULL;
}

bool VideoCamera::init()
{    
    capture = cvCreateCameraCapture(id);

    if (capture == NULL) {
        qDebug() << "Failed start capture";
        return false;
    }
    qDebug() << "OpenCV capture is " << capture;

    //cvSetCaptureProperty(capture, CV_CAP_PROP_FRAME_WIDTH, 640);
    //cvSetCaptureProperty(capture, CV_CAP_PROP_FRAME_HEIGHT, 480);

    frame = cvQueryFrame(capture);
    if (frame) {
        qDebug() << "Frame format is " << frame->width << "x" << frame->height << " depth: " << frame->depth << " channels:" << frame->nChannels;
    } else {
        qDebug() << "First frame is NULL";
        return false;
    }
    image = new QImage(frame->width, frame->height, QImage::Format_RGB32);
    return true;
}


bool VideoCamera::captureFrame()
{
    cvGrabFrame(capture);
    return true;
}


QSize VideoCamera::getVideoSize()
{
    return QSize(frame->width, frame->height);
}

IplImage * VideoCamera::getFrame()
{
    frame = cvRetrieveFrame(capture);
    return frame;
}

void VideoCamera::close(void)
{
    cvReleaseCapture(&capture);
    frame = NULL;
}

VideoCamera::~VideoCamera()
{
    cvReleaseImage(&frame);
    delete image;
}


