#ifndef VIDEODISPLAY_H
#define VIDEODISPLAY_H

#include <QGraphicsItemGroup>
#include <QGraphicsSceneMouseEvent>

class VideoFrame;
class Camera;

class VideoDisplay : public QObject, public QGraphicsItemGroup
{
    Q_OBJECT

public:
    VideoDisplay(Camera * camera);
    ~VideoDisplay();
    VideoFrame * getVideoFrame();
    VideoFrame * getVideoFrameFiltered();
    void mousePressEvent ( QGraphicsSceneMouseEvent * event );
    void mouseMoveEvent ( QGraphicsSceneMouseEvent * event );
    void mouseReleaseEvent(QGraphicsSceneMouseEvent * event );
    int updateFrames(int left);
    QRectF boundingRect();
    Camera * getCamera();

private:
    Camera * camera;
    VideoFrame * videoFrame;
    VideoFrame * videoFrameFiltered;
    QGraphicsTextItem * textItem;

public slots:
    void setCorrespondenceVisuals(QPolygon polygon, QLine line);
    void vesselFound(QLine, QLine);

};

#endif // VIDEODISPLAY_H
