#ifndef VIDEOFILE_H
#define VIDEOFILE_H

#include <QString>

#include <cv.h>

#include "videosource.h"

extern "C" {
    #include <libavformat/avformat.h>
    #include <libavcodec/avcodec.h>
    #include <libavdevice/avdevice.h>
    #include <libavutil/avutil.h>
    #include <libswscale/swscale.h>
}

class VideoFile : public VideoSource
{

public:
    VideoFile(QString);
    ~VideoFile();
    bool init();
    bool captureFrame();
    IplImage * getFrame();
    void close();
    QSize getVideoSize();

private:
    QString filename;
    AVFormatContext * pFormatCtx;
    AVCodecContext * pCodecCtx;
    AVFrame * pFrame;
    AVFrame * pFrameBGR;
    int videoStream;
    bool videoInitialized;
    uint8_t * buffer;
    int frameNo;
    SwsContext * pSWSCtx;
    IplImage * frameRotated;
};

#endif // VIDEOFILE_H
