#ifndef VIDEOSCENE_H
#define VIDEOSCENE_H

#include <QGraphicsView>
#include <QResizeEvent>
#include <QGraphicsSceneWheelEvent>

class Camera;
class VideoDisplay;


class VideoScene : public QGraphicsView
{
    Q_OBJECT

private:
    QGraphicsScene * graphicsScene;
    QVector <VideoDisplay *> videoDisplays;
    int nextLeft;

public:
    VideoScene(QWidget *);
    void resizeEvent ( QResizeEvent * );
    void wheelEvent ( QWheelEvent * event );
    void setVideoSize(QSize);
    void addCamera(Camera *);
    void removeCamera(Camera * camera);
    void updateFrames();
    void setDeckPosition(QVector3D pos, QVector3D ang);
    void setDeckVisible(bool visible);
    void setPolygons(QVector <QPolygonF>);
    void setPositions(QVector <QVector3D> positions);
    void setNormalVector(QVector3D pos);
    void setDeckSize(QSize squares, float squareSize);


signals:
    void resized(QResizeEvent * event);
};


#endif // VIDEOSCENE_H
