#ifndef VIDEOSOURCE_H
#define VIDEOSOURCE_H

#include <cv.h>
#include <QRect>
#include <QThread>
#include <QWaitCondition>
#include <QMutex>

enum VideoSourceType { UNSET, OPENCV_CAMERA, VIDEO_FILE,

#ifdef Q_OS_LINUX
DC1394,
#endif

IMAGE};
class VideoSource
{

private:
    VideoSourceType videoSourceType;

protected:
    IplImage * frame;

public:
    VideoSource();
    virtual bool init() = 0;
    virtual bool captureFrame() = 0;
    virtual void close() = 0;
    virtual QSize getVideoSize() = 0;
    virtual IplImage * getFrame() = 0;
    void run();


};

#endif // VIDEOSOURCE_H
