#ifndef WAVEMAP_H
#define WAVEMAP_H

#include <QGraphicsItem>
#include <QPainter>

class Wavemap : public QGraphicsItem
{
public:
    Wavemap();
    void paint(QPainter *painter, const QStyleOptionGraphicsItem * option, QWidget * widget);
    void setWavemap(float * data, int cols, int rows);
    QRectF boundingRect() const;
    void setScaleFactor(float scale, QString unit);


private:
    int cols;
    int rows;
    QSize size;
    float legendWith;
    float scaleStart;
    int ticks;
    float scaleEnd;
    float spacing;
    QLinearGradient linearGradient;
    float * values;
    float scaleFactor;
    QString unit;

    QColor getGradientColor(float pos);
};

#endif // WAVEMAP_H
